#ifndef __SIMPLECALC_H__
#define __SIMPLECALC_H__

typedef struct __SimpleCalc SimpleCalc;
struct __SimpleCalc
{
    int m_nX;
    int m_nY;
};

SimpleCalc* SimpleCalc_Alloc(void);
void        SimpleCalc_Free(SimpleCalc* pMe);

SimpleCalc* SimpleCalc_Ctor(SimpleCalc* pMe);
SimpleCalc* SimpleCalc_CtorEx(SimpleCalc* pMe, int x, int y);

SimpleCalc* SimpleCalc_New(void);
SimpleCalc* SimpleCalc_NewEx(int x, int y);
void        SimpleCalc_Delete(SimpleCalc* pMe);

void        SimpleCalc_SetValue(SimpleCalc* pMe, int x, int y);
void        SimpleCalc_GetValue(SimpleCalc* pMe, int *x, int *y);
int         SimpleCalc_Sum(SimpleCalc* pMe);
int         SimpleCalc_Sub(SimpleCalc* pMe);

#endif // __SIMPLECALC_H__
